Skip to main content
PATCH
/
v1
/
videos
/
{id}
/
clips
/
{clipId}
/
blurs
/
{maskId}
Update a blur
curl --request PATCH \
  --url https://api.tella.com/v1/videos/{id}/clips/{clipId}/blurs/{maskId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "durationMs": 123,
  "startTimeMs": 4503599627370495
}
'
{
  "mask": {
    "dimensions": {
      "heightPct": 50,
      "widthPct": 50
    },
    "durationMs": 2000,
    "id": "ly_abc123",
    "point": {
      "xPct": 25,
      "yPct": 25
    },
    "startTimeMs": 1000,
    "type": "blur"
  }
}

Documentation Index

Fetch the complete documentation index at: https://tella.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from your Tella account settings

Path Parameters

id
string
required

Video ID

clipId
string
required

Clip ID

maskId
string
required

Mask ID

Body

application/json

Update an existing mask

dimensions
object

Size of the masked rectangle (percentages)

durationMs
integer
Required range: x <= 9007199254740991
point
object

Top-left corner of the masked rectangle (percentages)

startTimeMs
integer
Required range: 0 <= x <= 9007199254740991

Response

OK

A mask on a clip

mask
object
required

A blur or highlight mask on a clip